1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \	]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90bin_PROGRAMS = wmmoonclock$(EXEEXT)
91subdir = .
92ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93am__aclocal_m4_deps = $(top_srcdir)/configure.ac
94am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95	$(ACLOCAL_M4)
96DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
97	$(am__configure_deps) $(dist_desktop_DATA) $(am__DIST_COMMON)
98am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
99 configure.lineno config.status.lineno
100mkinstalldirs = $(install_sh) -d
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
104	"$(DESTDIR)$(desktopdir)"
105PROGRAMS = $(bin_PROGRAMS)
106am__dirstamp = $(am__leading_dot)dirstamp
107am_wmmoonclock_OBJECTS = src/CalcEphem.$(OBJEXT) src/Moon.$(OBJEXT) \
108	src/MoonRise.$(OBJEXT) src/wmMoonClock.$(OBJEXT) \
109	src/xutils.$(OBJEXT)
110wmmoonclock_OBJECTS = $(am_wmmoonclock_OBJECTS)
111wmmoonclock_LDADD = $(LDADD)
112AM_V_P = $(am__v_P_@AM_V@)
113am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
114am__v_P_0 = false
115am__v_P_1 = :
116AM_V_GEN = $(am__v_GEN_@AM_V@)
117am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
118am__v_GEN_0 = @echo "  GEN     " $@;
119am__v_GEN_1 =
120AM_V_at = $(am__v_at_@AM_V@)
121am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
122am__v_at_0 = @
123am__v_at_1 =
124DEFAULT_INCLUDES = -I.@am__isrc@
125depcomp = $(SHELL) $(top_srcdir)/depcomp
126am__maybe_remake_depfiles = depfiles
127am__depfiles_remade = src/$(DEPDIR)/CalcEphem.Po src/$(DEPDIR)/Moon.Po \
128	src/$(DEPDIR)/MoonRise.Po src/$(DEPDIR)/wmMoonClock.Po \
129	src/$(DEPDIR)/xutils.Po
130am__mv = mv -f
131COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
132	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
133AM_V_CC = $(am__v_CC_@AM_V@)
134am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
135am__v_CC_0 = @echo "  CC      " $@;
136am__v_CC_1 =
137CCLD = $(CC)
138LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
139AM_V_CCLD = $(am__v_CCLD_@AM_V@)
140am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
141am__v_CCLD_0 = @echo "  CCLD    " $@;
142am__v_CCLD_1 =
143SOURCES = $(wmmoonclock_SOURCES)
144DIST_SOURCES = $(wmmoonclock_SOURCES)
145am__can_run_installinfo = \
146  case $$AM_UPDATE_INFO_DIR in \
147    n|no|NO) false;; \
148    *) (install-info --version) >/dev/null 2>&1;; \
149  esac
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177man1dir = $(mandir)/man1
178NROFF = nroff
179MANS = $(dist_man_MANS)
180DATA = $(dist_desktop_DATA)
181am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
182# Read a list of newline-separated strings from the standard input,
183# and print each of them once, without duplicates.  Input order is
184# *not* preserved.
185am__uniquify_input = $(AWK) '\
186  BEGIN { nonempty = 0; } \
187  { items[$$0] = 1; nonempty = 1; } \
188  END { if (nonempty) { for (i in items) print i; }; } \
189'
190# Make sure the list of sources is unique.  This is necessary because,
191# e.g., the same source file might be shared among _SOURCES variables
192# for different programs/libraries.
193am__define_uniq_tagged_files = \
194  list='$(am__tagged_files)'; \
195  unique=`for i in $$list; do \
196    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
197  done | $(am__uniquify_input)`
198ETAGS = etags
199CTAGS = ctags
200CSCOPE = cscope
201AM_RECURSIVE_TARGETS = cscope
202am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in COPYING \
203	ChangeLog TODO compile depcomp install-sh missing
204DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
205distdir = $(PACKAGE)-$(VERSION)
206top_distdir = $(distdir)
207am__remove_distdir = \
208  if test -d "$(distdir)"; then \
209    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
210      && rm -rf "$(distdir)" \
211      || { sleep 5 && rm -rf "$(distdir)"; }; \
212  else :; fi
213am__post_remove_distdir = $(am__remove_distdir)
214DIST_ARCHIVES = $(distdir).tar.gz
215GZIP_ENV = --best
216DIST_TARGETS = dist-gzip
217distuninstallcheck_listfiles = find . -type f -print
218am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
219  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
220distcleancheck_listfiles = find . -type f -print
221ACLOCAL = @ACLOCAL@
222AMTAR = @AMTAR@
223AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
224AUTOCONF = @AUTOCONF@
225AUTOHEADER = @AUTOHEADER@
226AUTOMAKE = @AUTOMAKE@
227AWK = @AWK@
228CC = @CC@
229CCDEPMODE = @CCDEPMODE@
230CFLAGS = @CFLAGS@
231CPPFLAGS = @CPPFLAGS@
232CYGPATH_W = @CYGPATH_W@
233DEFS = @DEFS@
234DEPDIR = @DEPDIR@
235ECHO_C = @ECHO_C@
236ECHO_N = @ECHO_N@
237ECHO_T = @ECHO_T@
238EXEEXT = @EXEEXT@
239INSTALL = @INSTALL@
240INSTALL_DATA = @INSTALL_DATA@
241INSTALL_PROGRAM = @INSTALL_PROGRAM@
242INSTALL_SCRIPT = @INSTALL_SCRIPT@
243INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
244LDFLAGS = @LDFLAGS@
245LIBOBJS = @LIBOBJS@
246LIBS = @LIBS@ $(x11_LIBS) $(xext_LIBS) $(xpm_LIBS) -lm
247LTLIBOBJS = @LTLIBOBJS@
248MAKEINFO = @MAKEINFO@
249MKDIR_P = @MKDIR_P@
250OBJEXT = @OBJEXT@
251PACKAGE = @PACKAGE@
252PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
253PACKAGE_NAME = @PACKAGE_NAME@
254PACKAGE_STRING = @PACKAGE_STRING@
255PACKAGE_TARNAME = @PACKAGE_TARNAME@
256PACKAGE_URL = @PACKAGE_URL@
257PACKAGE_VERSION = @PACKAGE_VERSION@
258PATH_SEPARATOR = @PATH_SEPARATOR@
259PKG_CONFIG = @PKG_CONFIG@
260PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
261PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
262SET_MAKE = @SET_MAKE@
263SHELL = @SHELL@
264STRIP = @STRIP@
265VERSION = @VERSION@
266abs_builddir = @abs_builddir@
267abs_srcdir = @abs_srcdir@
268abs_top_builddir = @abs_top_builddir@
269abs_top_srcdir = @abs_top_srcdir@
270ac_ct_CC = @ac_ct_CC@
271am__include = @am__include@
272am__leading_dot = @am__leading_dot@
273am__quote = @am__quote@
274am__tar = @am__tar@
275am__untar = @am__untar@
276bindir = @bindir@
277build_alias = @build_alias@
278builddir = @builddir@
279datadir = @datadir@
280datarootdir = @datarootdir@
281docdir = @docdir@
282dvidir = @dvidir@
283exec_prefix = @exec_prefix@
284host_alias = @host_alias@
285htmldir = @htmldir@
286includedir = @includedir@
287infodir = @infodir@
288install_sh = @install_sh@
289libdir = @libdir@
290libexecdir = @libexecdir@
291localedir = @localedir@
292localstatedir = @localstatedir@
293mandir = @mandir@
294mkdir_p = @mkdir_p@
295oldincludedir = @oldincludedir@
296pdfdir = @pdfdir@
297prefix = @prefix@
298program_transform_name = @program_transform_name@
299psdir = @psdir@
300runstatedir = @runstatedir@
301sbindir = @sbindir@
302sharedstatedir = @sharedstatedir@
303srcdir = @srcdir@
304sysconfdir = @sysconfdir@
305target_alias = @target_alias@
306top_build_prefix = @top_build_prefix@
307top_builddir = @top_builddir@
308top_srcdir = @top_srcdir@
309x11_CFLAGS = @x11_CFLAGS@
310x11_LIBS = @x11_LIBS@
311xext_CFLAGS = @xext_CFLAGS@
312xext_LIBS = @xext_LIBS@
313xpm_CFLAGS = @xpm_CFLAGS@
314xpm_LIBS = @xpm_LIBS@
315dist_man_MANS = src/wmMoonClock.1
316wmmoonclock_SOURCES = src/CalcEphem.c src/CalcEphem.h src/Moon.c src/Moon.h \
317	src/MoonRise.c src/MoonRise.h src/wmMoonClock.c \
318	src/wmMoonClock_mask.xbm \
319	src/wmMoonClock_masterLow.xpm \
320	src/wmMoonClock_master.xpm \
321	src/xutils.c src/xutils.h
322
323EXTRA_DIST = BUGS
324AM_CFLAGS = $(x11_CFLAGS) $(xext_CFLAGS) $(xpm_CFLAGS)
325desktopdir = $(datadir)/applications
326dist_desktop_DATA = wmmoonclock.desktop
327all: all-am
328
329.SUFFIXES:
330.SUFFIXES: .c .o .obj
331am--refresh: Makefile
332	@:
333$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
334	@for dep in $?; do \
335	  case '$(am__configure_deps)' in \
336	    *$$dep*) \
337	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
338	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
339		&& exit 0; \
340	      exit 1;; \
341	  esac; \
342	done; \
343	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
344	$(am__cd) $(top_srcdir) && \
345	  $(AUTOMAKE) --foreign Makefile
346Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
347	@case '$?' in \
348	  *config.status*) \
349	    echo ' $(SHELL) ./config.status'; \
350	    $(SHELL) ./config.status;; \
351	  *) \
352	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
353	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
354	esac;
355
356$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
357	$(SHELL) ./config.status --recheck
358
359$(top_srcdir)/configure:  $(am__configure_deps)
360	$(am__cd) $(srcdir) && $(AUTOCONF)
361$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
362	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
363$(am__aclocal_m4_deps):
364install-binPROGRAMS: $(bin_PROGRAMS)
365	@$(NORMAL_INSTALL)
366	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
367	if test -n "$$list"; then \
368	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
369	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
370	fi; \
371	for p in $$list; do echo "$$p $$p"; done | \
372	sed 's/$(EXEEXT)$$//' | \
373	while read p p1; do if test -f $$p \
374	  ; then echo "$$p"; echo "$$p"; else :; fi; \
375	done | \
376	sed -e 'p;s,.*/,,;n;h' \
377	    -e 's|.*|.|' \
378	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
379	sed 'N;N;N;s,\n, ,g' | \
380	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
381	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
382	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
383	    else { print "f", $$3 "/" $$4, $$1; } } \
384	  END { for (d in files) print "f", d, files[d] }' | \
385	while read type dir files; do \
386	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
387	    test -z "$$files" || { \
388	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
389	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
390	    } \
391	; done
392
393uninstall-binPROGRAMS:
394	@$(NORMAL_UNINSTALL)
395	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
396	files=`for p in $$list; do echo "$$p"; done | \
397	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
398	      -e 's/$$/$(EXEEXT)/' \
399	`; \
400	test -n "$$list" || exit 0; \
401	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
402	cd "$(DESTDIR)$(bindir)" && rm -f $$files
403
404clean-binPROGRAMS:
405	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
406src/$(am__dirstamp):
407	@$(MKDIR_P) src
408	@: > src/$(am__dirstamp)
409src/$(DEPDIR)/$(am__dirstamp):
410	@$(MKDIR_P) src/$(DEPDIR)
411	@: > src/$(DEPDIR)/$(am__dirstamp)
412src/CalcEphem.$(OBJEXT): src/$(am__dirstamp) \
413	src/$(DEPDIR)/$(am__dirstamp)
414src/Moon.$(OBJEXT): src/$(am__dirstamp) src/$(DEPDIR)/$(am__dirstamp)
415src/MoonRise.$(OBJEXT): src/$(am__dirstamp) \
416	src/$(DEPDIR)/$(am__dirstamp)
417src/wmMoonClock.$(OBJEXT): src/$(am__dirstamp) \
418	src/$(DEPDIR)/$(am__dirstamp)
419src/xutils.$(OBJEXT): src/$(am__dirstamp) \
420	src/$(DEPDIR)/$(am__dirstamp)
421
422wmmoonclock$(EXEEXT): $(wmmoonclock_OBJECTS) $(wmmoonclock_DEPENDENCIES) $(EXTRA_wmmoonclock_DEPENDENCIES)
423	@rm -f wmmoonclock$(EXEEXT)
424	$(AM_V_CCLD)$(LINK) $(wmmoonclock_OBJECTS) $(wmmoonclock_LDADD) $(LIBS)
425
426mostlyclean-compile:
427	-rm -f *.$(OBJEXT)
428	-rm -f src/*.$(OBJEXT)
429
430distclean-compile:
431	-rm -f *.tab.c
432
433@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/CalcEphem.Po@am__quote@ # am--include-marker
434@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/Moon.Po@am__quote@ # am--include-marker
435@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/MoonRise.Po@am__quote@ # am--include-marker
436@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/wmMoonClock.Po@am__quote@ # am--include-marker
437@AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/xutils.Po@am__quote@ # am--include-marker
438
439$(am__depfiles_remade):
440	@$(MKDIR_P) $(@D)
441	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
442
443am--depfiles: $(am__depfiles_remade)
444
445.c.o:
446@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
447@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
448@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
449@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
450@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
451@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
452
453.c.obj:
454@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
455@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
456@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
457@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
458@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
460install-man1: $(dist_man_MANS)
461	@$(NORMAL_INSTALL)
462	@list1=''; \
463	list2='$(dist_man_MANS)'; \
464	test -n "$(man1dir)" \
465	  && test -n "`echo $$list1$$list2`" \
466	  || exit 0; \
467	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
468	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
469	{ for i in $$list1; do echo "$$i"; done;  \
470	if test -n "$$list2"; then \
471	  for i in $$list2; do echo "$$i"; done \
472	    | sed -n '/\.1[a-z]*$$/p'; \
473	fi; \
474	} | while read p; do \
475	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
476	  echo "$$d$$p"; echo "$$p"; \
477	done | \
478	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
479	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
480	sed 'N;N;s,\n, ,g' | { \
481	list=; while read file base inst; do \
482	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
483	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
484	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
485	  fi; \
486	done; \
487	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
488	while read files; do \
489	  test -z "$$files" || { \
490	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
491	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
492	done; }
493
494uninstall-man1:
495	@$(NORMAL_UNINSTALL)
496	@list=''; test -n "$(man1dir)" || exit 0; \
497	files=`{ for i in $$list; do echo "$$i"; done; \
498	l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
499	  sed -n '/\.1[a-z]*$$/p'; \
500	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
501	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
502	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
503install-dist_desktopDATA: $(dist_desktop_DATA)
504	@$(NORMAL_INSTALL)
505	@list='$(dist_desktop_DATA)'; test -n "$(desktopdir)" || list=; \
506	if test -n "$$list"; then \
507	  echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
508	  $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
509	fi; \
510	for p in $$list; do \
511	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
512	  echo "$$d$$p"; \
513	done | $(am__base_list) | \
514	while read files; do \
515	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
516	  $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
517	done
518
519uninstall-dist_desktopDATA:
520	@$(NORMAL_UNINSTALL)
521	@list='$(dist_desktop_DATA)'; test -n "$(desktopdir)" || list=; \
522	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
523	dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
524
525ID: $(am__tagged_files)
526	$(am__define_uniq_tagged_files); mkid -fID $$unique
527tags: tags-am
528TAGS: tags
529
530tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
531	set x; \
532	here=`pwd`; \
533	$(am__define_uniq_tagged_files); \
534	shift; \
535	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
536	  test -n "$$unique" || unique=$$empty_fix; \
537	  if test $$# -gt 0; then \
538	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
539	      "$$@" $$unique; \
540	  else \
541	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
542	      $$unique; \
543	  fi; \
544	fi
545ctags: ctags-am
546
547CTAGS: ctags
548ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
549	$(am__define_uniq_tagged_files); \
550	test -z "$(CTAGS_ARGS)$$unique" \
551	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
552	     $$unique
553
554GTAGS:
555	here=`$(am__cd) $(top_builddir) && pwd` \
556	  && $(am__cd) $(top_srcdir) \
557	  && gtags -i $(GTAGS_ARGS) "$$here"
558cscope: cscope.files
559	test ! -s cscope.files \
560	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
561clean-cscope:
562	-rm -f cscope.files
563cscope.files: clean-cscope cscopelist
564cscopelist: cscopelist-am
565
566cscopelist-am: $(am__tagged_files)
567	list='$(am__tagged_files)'; \
568	case "$(srcdir)" in \
569	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
570	  *) sdir=$(subdir)/$(srcdir) ;; \
571	esac; \
572	for i in $$list; do \
573	  if test -f "$$i"; then \
574	    echo "$(subdir)/$$i"; \
575	  else \
576	    echo "$$sdir/$$i"; \
577	  fi; \
578	done >> $(top_builddir)/cscope.files
579
580distclean-tags:
581	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
582	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
583
584distdir: $(BUILT_SOURCES)
585	$(MAKE) $(AM_MAKEFLAGS) distdir-am
586
587distdir-am: $(DISTFILES)
588	$(am__remove_distdir)
589	test -d "$(distdir)" || mkdir "$(distdir)"
590	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
591	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
592	list='$(DISTFILES)'; \
593	  dist_files=`for file in $$list; do echo $$file; done | \
594	  sed -e "s|^$$srcdirstrip/||;t" \
595	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
596	case $$dist_files in \
597	  */*) $(MKDIR_P) `echo "$$dist_files" | \
598			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
599			   sort -u` ;; \
600	esac; \
601	for file in $$dist_files; do \
602	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
603	  if test -d $$d/$$file; then \
604	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
605	    if test -d "$(distdir)/$$file"; then \
606	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
607	    fi; \
608	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
609	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
610	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
611	    fi; \
612	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
613	  else \
614	    test -f "$(distdir)/$$file" \
615	    || cp -p $$d/$$file "$(distdir)/$$file" \
616	    || exit 1; \
617	  fi; \
618	done
619	-test -n "$(am__skip_mode_fix)" \
620	|| find "$(distdir)" -type d ! -perm -755 \
621		-exec chmod u+rwx,go+rx {} \; -o \
622	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
623	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
624	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
625	|| chmod -R a+r "$(distdir)"
626dist-gzip: distdir
627	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
628	$(am__post_remove_distdir)
629
630dist-bzip2: distdir
631	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
632	$(am__post_remove_distdir)
633
634dist-lzip: distdir
635	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
636	$(am__post_remove_distdir)
637
638dist-xz: distdir
639	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
640	$(am__post_remove_distdir)
641
642dist-zstd: distdir
643	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
644	$(am__post_remove_distdir)
645
646dist-tarZ: distdir
647	@echo WARNING: "Support for distribution archives compressed with" \
648		       "legacy program 'compress' is deprecated." >&2
649	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
650	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
651	$(am__post_remove_distdir)
652
653dist-shar: distdir
654	@echo WARNING: "Support for shar distribution archives is" \
655	               "deprecated." >&2
656	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
657	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
658	$(am__post_remove_distdir)
659
660dist-zip: distdir
661	-rm -f $(distdir).zip
662	zip -rq $(distdir).zip $(distdir)
663	$(am__post_remove_distdir)
664
665dist dist-all:
666	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
667	$(am__post_remove_distdir)
668
669# This target untars the dist file and tries a VPATH configuration.  Then
670# it guarantees that the distribution is self-contained by making another
671# tarfile.
672distcheck: dist
673	case '$(DIST_ARCHIVES)' in \
674	*.tar.gz*) \
675	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
676	*.tar.bz2*) \
677	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
678	*.tar.lz*) \
679	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
680	*.tar.xz*) \
681	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
682	*.tar.Z*) \
683	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
684	*.shar.gz*) \
685	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
686	*.zip*) \
687	  unzip $(distdir).zip ;;\
688	*.tar.zst*) \
689	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
690	esac
691	chmod -R a-w $(distdir)
692	chmod u+w $(distdir)
693	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
694	chmod a-w $(distdir)
695	test -d $(distdir)/_build || exit 0; \
696	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
697	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
698	  && am__cwd=`pwd` \
699	  && $(am__cd) $(distdir)/_build/sub \
700	  && ../../configure \
701	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
702	    $(DISTCHECK_CONFIGURE_FLAGS) \
703	    --srcdir=../.. --prefix="$$dc_install_base" \
704	  && $(MAKE) $(AM_MAKEFLAGS) \
705	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
706	  && $(MAKE) $(AM_MAKEFLAGS) check \
707	  && $(MAKE) $(AM_MAKEFLAGS) install \
708	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
709	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
710	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
711	        distuninstallcheck \
712	  && chmod -R a-w "$$dc_install_base" \
713	  && ({ \
714	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
715	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
716	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
717	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
718	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
719	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
720	  && rm -rf "$$dc_destdir" \
721	  && $(MAKE) $(AM_MAKEFLAGS) dist \
722	  && rm -rf $(DIST_ARCHIVES) \
723	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
724	  && cd "$$am__cwd" \
725	  || exit 1
726	$(am__post_remove_distdir)
727	@(echo "$(distdir) archives ready for distribution: "; \
728	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
729	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
730distuninstallcheck:
731	@test -n '$(distuninstallcheck_dir)' || { \
732	  echo 'ERROR: trying to run $@ with an empty' \
733	       '$$(distuninstallcheck_dir)' >&2; \
734	  exit 1; \
735	}; \
736	$(am__cd) '$(distuninstallcheck_dir)' || { \
737	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
738	  exit 1; \
739	}; \
740	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
741	   || { echo "ERROR: files left after uninstall:" ; \
742	        if test -n "$(DESTDIR)"; then \
743	          echo "  (check DESTDIR support)"; \
744	        fi ; \
745	        $(distuninstallcheck_listfiles) ; \
746	        exit 1; } >&2
747distcleancheck: distclean
748	@if test '$(srcdir)' = . ; then \
749	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
750	  exit 1 ; \
751	fi
752	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
753	  || { echo "ERROR: files left in build directory after distclean:" ; \
754	       $(distcleancheck_listfiles) ; \
755	       exit 1; } >&2
756check-am: all-am
757check: check-am
758all-am: Makefile $(PROGRAMS) $(MANS) $(DATA)
759installdirs:
760	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)"; do \
761	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
762	done
763install: install-am
764install-exec: install-exec-am
765install-data: install-data-am
766uninstall: uninstall-am
767
768install-am: all-am
769	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
770
771installcheck: installcheck-am
772install-strip:
773	if test -z '$(STRIP)'; then \
774	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
775	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
776	      install; \
777	else \
778	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
779	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
780	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
781	fi
782mostlyclean-generic:
783
784clean-generic:
785
786distclean-generic:
787	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
788	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
789	-rm -f src/$(DEPDIR)/$(am__dirstamp)
790	-rm -f src/$(am__dirstamp)
791
792maintainer-clean-generic:
793	@echo "This command is intended for maintainers to use"
794	@echo "it deletes files that may require special tools to rebuild."
795clean: clean-am
796
797clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
798
799distclean: distclean-am
800	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
801		-rm -f src/$(DEPDIR)/CalcEphem.Po
802	-rm -f src/$(DEPDIR)/Moon.Po
803	-rm -f src/$(DEPDIR)/MoonRise.Po
804	-rm -f src/$(DEPDIR)/wmMoonClock.Po
805	-rm -f src/$(DEPDIR)/xutils.Po
806	-rm -f Makefile
807distclean-am: clean-am distclean-compile distclean-generic \
808	distclean-tags
809
810dvi: dvi-am
811
812dvi-am:
813
814html: html-am
815
816html-am:
817
818info: info-am
819
820info-am:
821
822install-data-am: install-dist_desktopDATA install-man
823
824install-dvi: install-dvi-am
825
826install-dvi-am:
827
828install-exec-am: install-binPROGRAMS
829
830install-html: install-html-am
831
832install-html-am:
833
834install-info: install-info-am
835
836install-info-am:
837
838install-man: install-man1
839
840install-pdf: install-pdf-am
841
842install-pdf-am:
843
844install-ps: install-ps-am
845
846install-ps-am:
847
848installcheck-am:
849
850maintainer-clean: maintainer-clean-am
851	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
852	-rm -rf $(top_srcdir)/autom4te.cache
853		-rm -f src/$(DEPDIR)/CalcEphem.Po
854	-rm -f src/$(DEPDIR)/Moon.Po
855	-rm -f src/$(DEPDIR)/MoonRise.Po
856	-rm -f src/$(DEPDIR)/wmMoonClock.Po
857	-rm -f src/$(DEPDIR)/xutils.Po
858	-rm -f Makefile
859maintainer-clean-am: distclean-am maintainer-clean-generic
860
861mostlyclean: mostlyclean-am
862
863mostlyclean-am: mostlyclean-compile mostlyclean-generic
864
865pdf: pdf-am
866
867pdf-am:
868
869ps: ps-am
870
871ps-am:
872
873uninstall-am: uninstall-binPROGRAMS uninstall-dist_desktopDATA \
874	uninstall-man
875
876uninstall-man: uninstall-man1
877
878.MAKE: install-am install-strip
879
880.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles am--refresh check \
881	check-am clean clean-binPROGRAMS clean-cscope clean-generic \
882	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
883	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
884	dist-zstd distcheck distclean distclean-compile \
885	distclean-generic distclean-tags distcleancheck distdir \
886	distuninstallcheck dvi dvi-am html html-am info info-am \
887	install install-am install-binPROGRAMS install-data \
888	install-data-am install-dist_desktopDATA install-dvi \
889	install-dvi-am install-exec install-exec-am install-html \
890	install-html-am install-info install-info-am install-man \
891	install-man1 install-pdf install-pdf-am install-ps \
892	install-ps-am install-strip installcheck installcheck-am \
893	installdirs maintainer-clean maintainer-clean-generic \
894	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
895	ps ps-am tags tags-am uninstall uninstall-am \
896	uninstall-binPROGRAMS uninstall-dist_desktopDATA uninstall-man \
897	uninstall-man1
898
899.PRECIOUS: Makefile
900
901
902# Tell versions [3.59,3.63) of GNU make to not export all variables.
903# Otherwise a system limit (for SysV at least) may be exceeded.
904.NOEXPORT:
905